const webpack = require("webpack");

module.exports = {
	context: __dirname,
	entry: {
		"orcatech-ipc-hue": "./src/index_gen.js"
	},
	output: {
		path: __dirname + "/dist/",
		filename: "[name].js",
		library: 'orcatech-ipc-hue',
		libraryTarget: 'umd'
	},
	resolve: {
		modules: ['node_modules', 'src'],
		extensions: ['.js', '.jsx'],
	},
	module: {
		loaders: [{
			test: /\.(js|jsx)$/,
			include: /src/,
			exclude: /(node_modules|_test.js$)/,
			loader: 'babel-loader',
		}, ],
	},
	// plugins: [
	// 	new webpack.DefinePlugin({
	// 		'process.env': {
	// 			NODE_ENV: JSON.stringify('production'),
	// 		},
	// 	}),
	// 	new webpack.optimize.UglifyJsPlugin(),
	// ],
};
