package frame

// FirmwareUpdateStepSubscription ...
type FirmwareUpdateStepSubscription struct {
	PercentageComplete int `json:"percentageComplete"`
}

// NewFirmwareUpdateStepSubscription ...
func NewFirmwareUpdateStepSubscription(percentageComplete int) *Frame {
	return &Frame{FirmwareUpdateStepSubscription: &FirmwareUpdateStepSubscription{
		PercentageComplete: percentageComplete,
	}}
}

// Validate ...
func (s *FirmwareUpdateStepSubscription) Validate() error {
	var err error
	return err
}
