import {
	Object
} from 'orcatech-ipc';

export default class Bulb extends Object {
	eui = "";
	on = false;
	brightness = 0;
	colorTemperature = 0;

	toString = () => {
		return "Eui: " + this.eui + ", On: " + this.on + ", Brightness: " + this.brightness + ", ColorTemperature: " + this.colorTemperature;
	}

	equals = (bulb) => {
		return this.eui === bulb.eui;
	}
}
